﻿using System.Drawing;
using ESRI.ArcGIS.Desktop.AddIns;
using ICommandItem = ESRI.ArcGIS.Framework.ICommandItem;
using ESRI.ArcGIS.esriSystem;

namespace plugin_3dm_arcmap
{
    internal class ButtonFootprints : Button
    {
        private object enableImage = null;
        private object disableImage = null;
        private ICommandItem commandItem = null;
        private bool visibleFootprints = true;

        /// <summary>
        /// Called when the footprint button is pressed
        /// </summary>
        protected override void OnClick()
        {
            //if (1==1) Process.Start("https://www.orbitgt.com/kb/");
            if (this.enableImage == null)
            {
                this.commandItem = ArcMap.Application.Document.CommandBars.Find("plugin_3dm_arcmap_ButtonFootprints", false);
                string assemblyCachePath = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location);
                Bitmap enableImage0 = new Bitmap(assemblyCachePath + "\\Images2\\SDK-Plugin-Toolbar-1-Footprints-Enabled-16.png");
                this.enableImage = ESRI.ArcGIS.ADF.COMSupport.OLE.GetIPictureDispFromBitmap(enableImage0);
                Bitmap disableImage0 = new Bitmap(assemblyCachePath + "\\Images2\\SDK-Plugin-Toolbar-1-Footprints-Disabled-16.png");
                this.disableImage = ESRI.ArcGIS.ADF.COMSupport.OLE.GetIPictureDispFromBitmap(disableImage0);
            }
            if (PluginArcMap.INSTANCE != null)
            {
                this.visibleFootprints = (this.visibleFootprints == false);
                object face = (this.visibleFootprints) ? this.enableImage : this.disableImage;
                if (this.commandItem != null) this.commandItem.FaceID = face;
                PluginArcMap.INSTANCE.doShowFootprints(this.visibleFootprints);
            }
        }
    }
}
